:root {
 --gap-size: 20px;
 --primary-color: Dark;
}

.parent {
 display: grid;
 grid-template-columns: repeat(3, 1fr);
 grid-template-rows: repeat(2, 1fr);
 gap: var(--gap-size) 0; /* gap: <row-gap> <column-gap> */
}

.header { grid-area: 1 / 1 / 3 / 2; }
.sidebar { grid-area: 2 / 2 / 3 / 3; }
.content { grid-area: 1 / 3 / 2 / 4; }

p::first-letter {
 font-family: cursive;
 font-weight: bold; /* Pour un effet plus marqué */
 font-size: 2em;
 float: left;
 color: var(--primary-color);
 text-shadow: 2px 2px 2px silver;
 line-height: 70%;
 margin: -.1em 0 0 -.1em;
 padding-right: .1em;
}
/**
 * Voici une feuille de style type, bien entendu vous pouvez ajouter
 * ou supprimer des propriétés CSS en fonction de vos besoins.
 */

/* 
* Grille du site
* Barres et page
*/
#contentLeft {
}
#contentRight {
}
#contentSite {
}

/* Bannière */
header {
}

/* Titre de la bannière */
header span {
}

/* Menu */
nav {
}

/* Items du menu */
nav a {
 border-radius: 15px;
}

/* Items au survol du menu */
nav a:hover {
 background-color: #000050; 
 color: #EEFFFF;
}

/* Item courant du menu */
nav a.active {
}

/* Menu latéral */
/* aspect des puces */
ul #menuSide {
} 
/* Block menu à droite */
#menuSideRight {
}
/* Block menu à gauche */
#menuSideLeft {
}


/* Bas de page */
footer {
}

/* Couleur liens en bas de page */
footer a {
 color: blue;
}

footer #footersite, #footerbody {
}

/* Liens du bas de page */
footer #footersite, #footerbody a {
}

/* footer bloc gauche */
footer #footersiteLeft, #footerbodyLeft {
}

/* footer bloc central */
footer #footersiteCenter, #footerbodyCenter {
}

/* footer bloc droite */
footer #footersiteRight, #footerbodyRight {
}



/**
 * Éléments de contenu
 */

/* Titres */
h1,
h2,
h3,
h4 {
}

/* Liens */
a {
}

/* Liens au survol */
a:hover {
}

/* Liens au clic */
a:active {
}

/* Boutons */
.button,
button[type='submit'],
.pagination a {
}

/* Boutons au survol */
.button:hover,
button[type='submit']:hover,
.pagination a:hover {
}

/* Boutons au clic */
.button:active,
button[type='submit']:active,
.pagination a:active {
}

/* Cases à cocher */
input[type='checkbox']:checked + label:before {
}

/* Cases à cocher au survol */
input[type='checkbox']:not(:active):checked:hover + label:before,
input[type='checkbox']:active + label:before {
}

/* Champs de formulaire */
input[type='text'],
input[type='password'],
.inputFile,
select,
textarea {
}

/* Champs de formulaire au survol */
input[type='text']:hover,
input[type='password']:hover,
.inputFile:hover,
select:hover,
textarea:hover {
}

/* Modules News et Blog */

.blogDate {
}

.blogPicture {
}

.blogPicture img {
}

.blogComment {
}

.blogTitle {
}

.blogContent {
}

.newsTitle {
 /*background-color: grey;*/
}

.newsContent {
}

.newsSignature {
 color: #404040;
}
